View Javadoc

    1   /*
    2    *  Licensed to the Apache Software Foundation (ASF) under one
    3    *  or more contributor license agreements.  See the NOTICE file
    4    *  distributed with this work for additional information
    5    *  regarding copyright ownership.  The ASF licenses this file
    6    *  to you under the Apache License, Version 2.0 (the
    7    *  "License"); you may not use this file except in compliance
    8    *  with the License.  You may obtain a copy of the License at
    9    *
    10   *    http://www.apache.org/licenses/LICENSE-2.0
    11   *
    12   *  Unless required by applicable law or agreed to in writing,
    13   *  software distributed under the License is distributed on an
    14   *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    15   *  KIND, either express or implied.  See the License for the
    16   *  specific language governing permissions and limitations
    17   *  under the License.
    18   *
    19   */
    20  package org.apache.mina.statemachine.event;
    21
    22  import org.apache.mina.statemachine.StateMachine;
    23
    24  /**
    25   * Intercepts the {@link Event} arguments before the {@link Event} is passed
    26   * to the {@link StateMachine} and allows for the arguments to be modified.
    27   * This is for advanced uses only.
    28   *
    29   * @author <a href="http://mina.apache.org">Apache MINA Project</a>
    30   */
    31  public interface EventArgumentsInterceptor {
    32
    33      /**
    34       * Modifies the specified array of event arguments.
    35       *
    36       * @param arguments the original arguments.
    37       * @return the new arguments. Should return the original array if no
    38       *         modification is needed.
    39       */
    40      Object[] modify(Object[] arguments);
    41
    42  }